<!DOCTYPE html>
<meta charset="utf-8">
<style>

.links line {
  stroke: #999;
  stroke-opacity: 0.6;
}

.nodes circle {
  stroke: #fff;
  stroke-width: 1.5px;
}

</style>
<svg width="1080" height="450"></svg>
<script src="https://d3js.org/d3.v4.min.js"></script>

<script>

var svg = d3.select("svg"),
    width = +svg.attr("width"),
    height = +svg.attr("height");

var color = d3.scaleOrdinal(d3.schemeCategory20);

var simulation = d3.forceSimulation()
    .force("link", d3.forceLink().id(function(d) { return d.id; }))
    .force("charge", d3.forceManyBody())
    .force("center", d3.forceCenter(width / 2, height / 2));

d3.json("test.json", function(error, graph) {
  if (error) throw error;

  var link = svg.append("g")
      .attr("class", "links")
    .selectAll("line")
    .data(graph.links)
    .enter().append("line")
      .attr("stroke-width", function(d) { return Math.sqrt(d.value); });

  var node = svg.append("g")
      .attr("class", "nodes")
    .selectAll("circle")
    .data(graph.nodes)
    .enter().append("circle")
      .attr("r", 5)
      .attr("fill", function(d) { return color(d.group); })
      .call(d3.drag()
          .on("start", dragstarted)
          .on("drag", dragged)
          .on("end", dragended));

  node.append("title")
      .text(function(d) { return d.id; });

  simulation
      .nodes(graph.nodes)
      .on("tick", ticked);

  simulation.force("link")
      .links(graph.links);

  function ticked() {
    link
        .attr("x1", function(d) { return d.source.x; })
        .attr("y1", function(d) { return d.source.y; })
        .attr("x2", function(d) { return d.target.x; })
        .attr("y2", function(d) { return d.target.y; });

    node
        .attr("cx", function(d) { return d.x; })
        .attr("cy", function(d) { return d.y; });
  }
});

function dragstarted(d) {
  if (!d3.event.active) simulation.alphaTarget(0.3).restart();
  d.fx = d.x;
  d.fy = d.y;
}

function dragged(d) {
  d.fx = d3.event.x;
  d.fy = d3.event.y;
}

function dragended(d) {
  if (!d3.event.active) simulation.alphaTarget(0);
  d.fx = null;
  d.fy = null;
}

</script>
<style>
a:link {color: rgb(200,200,200)}    
a:visited {color: rgb(180,180,180)} 
a:hover {color: rgb(160,160,160)}   
a:active {color: rgb(140,140,140)}  
</style>
<form action="author4.php" method="get">

<head>
	<link href="jquery-ui.css" rel="stylesheet">
	<style>
	body{
		font-family: "Trebuchet MS", sans-serif;
		margin: 50px;
		background-size:100%;
	}
	a:link {
		color:#000000;
    	text-decoration:underline;
    	font-weight: bold;
    }
    a:visited {
    	color:#000000;
    	text-decoration:underline;
    	font-weight: bold;
    }
    a:hover {
    	color:#000000;
    	text-decoration:underline;
    	font-weight: bold;
    }
    a:active {
    	color:#000000;
    	text-decoration:none;
    	font-weight: bold;
    }
    p.thick{
    	font-weight: bold;
    }
	.demoHeaders {
		margin-top: 2em;
	}
	#dialog-link {
		padding: .4em 1em .4em 20px;
		text-decoration: none;
		position: relative;
	}
	#dialog-link span.ui-icon {
		margin: 0 5px 0 0;
		position: absolute;
		left: .2em;
		top: 50%;
		margin-top: -8px;
	}
	#icons {
		margin: 0;
		padding: 0;
	}
	#icons li {
		margin: 2px;
		position: relative;
		padding: 4px 0;
		cursor: pointer;
		float: left;
		list-style: none;
	}
	#icons span.ui-icon {
		float: left;
		margin: 0 4px;
	}
	.fakewindowcontain .ui-widget-overlay {
		position: absolute;
	}
	select {
		width: 200px;
	}
	.ten_au
	{
		 text-align:right;
		 top:400px;
	}
	.ten_au1
	{
		 text-align:left;
		 top:400px;
	}
	.divcss5-left{
		position:absolute
		float:left;
		width:45%;
	} 
	.divcss5-right{

		width:40%;
		position:absolute;
		top:618px;
		right:30px; 
	} 
	</style>
</head>
<body background="23.jpg">
<?php 
ini_set('max_execution_time','0');
$AUTHORID=$_GET["id"];

$dbhost = 'localhost:3306';  // mysql服务器主机地址
$dbuser = 'root';            // mysql用户名
$dbpass = '';          // mysql用户名密码
$conn = mysqli_connect($dbhost, $dbuser, $dbpass);
if(! $conn )
{
    die('连接失败: ' . mysqli_error($conn));
}
mysqli_query($conn , "set names utf8");//连接MySQL



$sql_5_1="select AUTHOR_ID,count(*) from paper_author_affiliation where AUTHOR_ID in
		  (select TeacherID from testre where StudentID='$AUTHORID')
		  group by AuthorID
		  order by count(*) desc
		  limit 10";
mysqli_select_db( $conn, 'main_db1' );
$retval = mysqli_query( $conn, $sql_5_1 );

echo "<h2 class='thick'>The author's teachers<h2>";
echo '<h2 class="ten_au">Ten papers<h2>';
echo '<div id="accordion2" class="divcss5-left" align="center">';
while($row = mysqli_fetch_array($retval, MYSQL_ASSOC))
{	
	$ID_1=$row['AuthorID'];
	$sql3_1="select AUTHORNAME from authors
		   where AUTHORID='$ID_1'";
	$retval3_1 = mysqli_query( $conn, $sql3_1 );
	
	$row3=mysqli_fetch_array($retval3_1, MYSQL_ASSOC);
	$NAME=$row3['AUTHORNAME'];
	
	$sql2="select AFFILIATIONNAME from affiliations
		   where AFFILIATIONID =
		   (select AffiliationID from paper_author_affiliation
	       where AuthorID='$ID_1'
		   group by AffiliationID
		   order by count(*) desc
		   limit 1)";
	$retval2 = mysqli_query( $conn, $sql2 );
	
	$row2=mysqli_fetch_array($retval2, MYSQL_ASSOC);
    echo '<h3 class="thick">'.$NAME.'</h3>';
	echo "<div>";
	echo '<h4 class="thick">';
	echo "<a href='author4.php?Name=$NAME&Id=$ID_1' >".$NAME."</a>";
	echo '</h4>';

    echo '<h4 class="thick" id="ID">ID: '.$ID_1.'</h4>';
	echo '<h4 class="thick" id="ID1">Papers: '.$row['count(*)'].'</h4>';
	echo '<h4 class="thick" id="Affiliationname">Affiliationname: '.$row2['AFFILIATIONNAME'].'</h4>';
	echo '</div>'; 
}
echo '</div>';





$sql_5_1="select AuthorID,count(*) from paper_author_affiliation where AuthorID in
		  (select StudentID from testre where TeacherID='$AUTHORID')
		  group by AuthorID
		  order by count(*) desc
		  limit 10";
mysqli_select_db( $conn, 'main_db1' );
$retval = mysqli_query( $conn, $sql_5_1 );

echo "<h2>The author's students<h2>";
echo '<div id="accordion1" class="divcss5-left" align="center">';
while($row = mysqli_fetch_array($retval, MYSQL_ASSOC))
{	
	$ID_1=$row['AuthorID'];
	$sql3_1="select AUTHORNAME from authors
		   where AUTHORID='$ID_1'";
	$retval3_1 = mysqli_query( $conn, $sql3_1 );
	
	$row3=mysqli_fetch_array($retval3_1, MYSQL_ASSOC);
	$NAME=$row3['AUTHORNAME'];
	
	$sql2="select AFFILIATIONNAME from affiliations
		   where AFFILIATIONID =
		   (select AffiliationID from paper_author_affiliation
	       where AuthorID='$ID_1'
		   group by AffiliationID
		   order by count(*) desc
		   limit 1)";
	$retval2 = mysqli_query( $conn, $sql2 );
	
	$row2=mysqli_fetch_array($retval2, MYSQL_ASSOC);
    echo '<h3 class="thick>'.$NAME.'</h3>';
	echo '<h4 class="thick>';
	echo "<a href='author4.php?Name=$NAME&Id=$ID_1' >".$NAME."</a>";
	echo '</h4>';
	echo "<div>";
    echo '<h4 class="thick" id="ID">ID: '.$ID_1.'</h4>';
	echo '<h4 class="thick" id="ID1">Papers: '.$row['count(*)'].'</h4>';
	echo '<h4 class="thick" id="Affiliationname">Affiliationname: '.$row2['AFFILIATIONNAME'].'</h4>';
	echo '</div>'; 
}
echo '</div>';
$sql_0="select authorid from authors where AUTHORID in
		(select AuthorID from paper_author_affiliation
		 where PaperID in(select PaperID from paper_author_affiliation
		 where AuthorID='$AUTHORID'))";
mysqli_select_db($conn, 'main_db1');
$retval_0 = mysqli_query( $conn, $sql_0);
if(! $retval_0 )
{
    die('无法读取数据: ' . mysqli_error($conn));
}
$arr_all=array();
$arr_node=array();
$arr_link=array();
$arr_id=array();





function if_t($AUI,$AUI_1){
	$dbhost = 'localhost:3306';  // mysql服务器主机地址
	$dbuser = 'root';            // mysql用户名
	$dbpass = '';          // mysql用户名密码
	$conn = mysqli_connect($dbhost, $dbuser, $dbpass);
	$sql_t="select TeacherID from testre where StudentID='$AUI' and TeacherID='$AUI_1'";
	
	mysqli_select_db($conn, 'main_db1');
	$retval_t=mysqli_query($conn, $sql_t);
	if(! $retval_t )
	{
		die('无法读取数据: ' . mysqli_error($conn));
	}
	$row_t=mysqli_fetch_array($retval_t, MYSQL_ASSOC);
	if($row_t) return 1;
	else return 0;
}

function if_s($AUI,$AUI_1){
	$dbhost = 'localhost:3306';  // mysql服务器主机地址
	$dbuser = 'root';            // mysql用户名
	$dbpass = '';          // mysql用户名密码
	$conn = mysqli_connect($dbhost, $dbuser, $dbpass);
	$sql_s="select StudentID from testre where TeacherID='$AUI' and StudentID='$AUI_1'";
	
	mysqli_select_db($conn, 'main_db1');
	$retval_s=mysqli_query($conn, $sql_s);
	$row_s=mysqli_fetch_array($retval_s, MYSQL_ASSOC);
	if($row_s) return 1;
	else return 0;
}	
while($row_0 = mysqli_fetch_array($retval_0, MYSQL_ASSOC))
{
	$AID=$row_0['authorid'];
	$sql_01="select authorname,authorid from authors where AUTHORID='$AID'";
	$retval_01=mysqli_query($conn, $sql_01);
	$row_01=mysqli_fetch_array($retval_01, MYSQL_ASSOC);
	$AN=$row_01['authorname'];
	$AI=$row_01['authorid'];
	
	
	if($AID==$AUTHORID){
		$arr_tmp=array("id"=>$AN,"id"=>$AI,"group"=>1);
	}
	else if(if_t($AID,$AUTHORID)==1){
		$arr_tmp=array("id"=>$AN,"id"=>$AI,"group"=>2);
	}
	else if(if_s($AID,$AUTHORID)==1){
		$arr_tmp=array("id"=>$AN,"id"=>$AI,"group"=>3);
	}
	else{
		$arr_tmp=array("id"=>$AN,"id"=>$AI,"group"=>4);
	}
	array_push($arr_node,$arr_tmp);
	array_push($arr_id,$AID);
}




foreach($arr_id as $ids){
	array_shift($arr_id);
	foreach($arr_id as $ids_2){
	$dbhost = 'localhost:3306';  // mysql服务器主机地址
	$dbuser = 'root';            // mysql用户名
	$dbpass = '';          // mysql用户名密码
	$conn = mysqli_connect($dbhost, $dbuser, $dbpass);
	if(! $conn )
	{
		die('连接失败: ' . mysqli_error($conn));
	}
		mysqli_query($conn , "set names utf8");//连接MySQL

		$sql_11="select PAPERID from paper_author_affiliation
				where AuthorID='$ids'
				and PAPERID in
				(select PAPERID from paper_author_affiliation where AuthorID='$ids_2')";
		mysqli_select_db($conn, 'main_db1');
		$retval_11 = mysqli_query( $conn, $sql_11);
		if(! $retval_11 )
		{
			die('无法读取数据: ' . mysqli_error($conn));
		}
		$row_11=mysqli_fetch_array($retval_11, MYSQL_ASSOC);
		if($row_11)
		{
			$sql_12="select AUTHORNAME from authors where AUTHORID='$ids'";
			mysqli_select_db($conn, 'main_db1');
			$retval_12 = mysqli_query( $conn, $sql_12);
			$row_12=mysqli_fetch_array($retval_12, MYSQL_ASSOC);
			$NAME1=$row_12['AUTHORNAME'];
			
			$sql_13="select AUTHORNAME from authors where AUTHORID='$ids_2'";
			mysqli_select_db($conn, 'main_db1');
			$retval_13 = mysqli_query( $conn, $sql_13);
			$row_13=mysqli_fetch_array($retval_13, MYSQL_ASSOC);
			$NAME2=$row_13['AUTHORNAME'];
			$arr_tmp1=array("source"=>$ids,"target"=>$ids_2,"value"=>1);
			array_push($arr_link,$arr_tmp1);
		}
	}
}

$arr_all=array("nodes"=>$arr_node,"links"=>$arr_link);
$jfile=fopen("test.json","w")or die("unable to open file.");
$json_all=json_encode($arr_all);
fwrite($jfile,$json_all);
fclose($jfile);



$sql="select paper_author_affiliation.PaperID from paper_author_affiliation, paper_reference
	  where paper_author_affiliation.AuthorID='$AUTHORID'
	  and paper_author_affiliation.PaperID=paper_reference.PAPERID
	  group by paper_reference.PAPERID
	  order by count(*) desc
	  limit 10";
	  
	  
	  
mysqli_select_db( $conn, 'main_db1' );
$retval = mysqli_query( $conn, $sql );
if(! $retval )
{
    die('无法读取数据: ' . mysqli_error($conn));
}
echo '<div id="accordion" class="divcss5-right" align="center">';
while($row = mysqli_fetch_array($retval, MYSQL_ASSOC))
{
	$PID=$row['PaperID'];
	$sql2="select TITLE,CONFERENCEID from papers
		   where PAPERID='$PID'";
	
	$retval2 = mysqli_query( $conn, $sql2 );
	if(! $retval2 )
	{
		die('无法读取数据: ' . mysqli_error($conn));
	}
	$row2 = mysqli_fetch_array($retval2, MYSQL_ASSOC);
	$CONID=$row2['CONFERENCEID'];
	
	$sql3="select conferencename from conferences
		   where CONFERENCEID='$CONID'";
	$retval3 = mysqli_query( $conn, $sql3 );
	if(! $retval3 )
	{
		die('无法读取数据: ' . mysqli_error($conn));
	}
	$row3 = mysqli_fetch_array($retval3, MYSQL_ASSOC);
	
	echo '<h3>'.$row2['TITLE'].'</h3>';
	echo "<div>";
	echo '<h4 class="thick" id="conference">Conference: '.$row3['conferencename'].'</h4>';
	echo '<h4 class="thick">Authors:</h4>';
	

	$sql4="select AuthorID from paper_author_affiliation
		   where PaperID='$PID'
		   order by Authorsequence";
	$retval4 = mysqli_query( $conn, $sql4 );
	if(! $retval4 )
	{
		die('无法读取数据: ' . mysqli_error($conn));
	}
	
	$num=1;
	while($row4 = mysqli_fetch_array($retval4, MYSQL_ASSOC))
	{
		echo '<h4 class="thick">';
		echo $num;
		$num=$num+1;
		$AID=$row4['AuthorID'];
		$sql5="select AUTHORNAME from authors
			   where AUTHORID='$AID'";
		$retval5 = mysqli_query( $conn, $sql5 );
		if(! $retval5 )
		{
			die('无法读取数据: ' . mysqli_error($conn));
		}
		$row5 = mysqli_fetch_array($retval5, MYSQL_ASSOC);
		$new_auname=$row5['AUTHORNAME'];
		echo "<a href='author4.php?Id=$AID'>:".$new_auname.".</a>";
	}
	echo '</h4>';
	echo '</div>';

}	
 echo '</div>';


mysqli_close($conn);





?>

<script src="jquery.js"></script>
<script src="jquery-ui.js"></script>
<script>
$( "#accordion" ).accordion();
</script>
<script>
$( "#accordion1" ).accordion();
</script>
<script>
$( "#accordion2" ).accordion();
</script>


</body>
</html>